#if !defined(__SMBLIB_STD_DEFINES_H) && !defined(BUILDING_SMB_LIB)
#error Include smbtypes.h after std-defs.h
#endif

#ifndef _SMB_TYPES_H
#define _SMB_TYPES_H

#ifndef BYTE
#define BYTE   unsigned char
#endif

#ifndef WORD
#define WORD   unsigned short
#endif

#ifndef DWORD
#define DWORD   unsigned long
#endif

#ifndef BOOL
#define BOOL  int
#endif

#ifndef TRUE
#define TRUE  1
#endif

#ifndef FALSE
#define FALSE 0
#endif

#if defined(SMB_WIN32) && !defined(SMB_STATIC)
  #if defined(BUILDING_SMB_LIB)
    #define SMB_EXPORT  extern __declspec(dllexport)
  #else
    #define SMB_EXPORT  extern __declspec(dllimport)
  #endif
#else
  #define SMB_EXPORT  extern
#endif

#endif  /* _SMB_TYPES_H */